package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.bean.TradingBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class TradingProductAdapter extends BaseQuickAdapter<TradingBean.RecordsBean, BaseViewHolder> {

    public TradingProductAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, TradingBean.RecordsBean item) {
        helper.setText(R.id.tv_name,item.getProductName() );
        helper.setText(R.id.tv_card, item.getProductSimpleCode() );
        helper.setText(R.id.tv_card_name, item.getProductSoleCode());
        helper.setText(R.id.tv_num, String.valueOf(item.getQuantity()));
        helper.setText(R.id.tv_dept, item.getDeptName());
        helper.addOnClickListener(R.id.tv_cart);
    }
}

